• Strona główna
  • Komunikaty
  • Do pobrania
  • Dodatki
  • Informacje o wersji
  • Rozwój
  • Wiki
  • Forum
  • OSTRZEŻENIE! To jest tymczasowy wykaz dodatków z Miranda IM.
    Te dodatki mogą być niekompatybilne z akutalną wersją Mirandy NG, dlatego używając ich zachowaj ostrożność.

    Kliknij tutaj kilka nowych dodatków dla Miranda NG

    Pokaż dziennik zmian »

    Updater (Unicode) 0.5.3.0

    Autor: sje
    Licencja: Open Source - GPL
    Wymagania: Miranda Unicode (0.4.3+)

    Dodano: 25.1.2006
    Zaktualizowano: 29.7.2007
    Pobrano: 146×

    Pobierz | Pobierz źródło


    Opis:

    ========
    Newer versions:
    ANSI
    http://addons.miranda-im.org/details.php?action=viewfile&id=4360

    Unicode
    http://addons.miranda-im.org/details.php?action=viewfile&id=4361

    x64
    http://addons.miranda-im.org/details.php?action=viewfile&id=4362
    ========
    Automatic updates for miranda plugins and language packs.

    This plugin will detect, download, and install updates for plugins and language packs on the Miranda File Listing that follow the rules which follow.

    For plugins:
    - plugin name in options->plugins must match the name on the file listing (i.e. PLUGININFO shortName field - comparison is NOT case sensitive since 0.1.5.0)
    - plugin version on the file listing must match the x.x.x.x format, where the x's are numbers between 0 and 255 inclusive (i.e. PLUGININFO version field)

    For language packs:
    - file name must be 'langpack_<whatever>.txt'
    - the file must contain a line of the following format (no unicode or other special chars):

    ; FLID: <file listing name - case sensitive> <version>

    The spaces are required, and no space on the end of the line.
    - the version must be of the form x.x.x.x (all four numbers) and each x must be a value from 0 to 255
    - the file must be packaged in the root of the zip archive

    This plugin also provides an automatic update API for plugin developers, so that you can register release and beta update urls for plugins on or off the file listing. See the m_updater.h in the source for for details and example code.

    Supports UnregistereD's TriggerPlugin available at:
    http://www.cs.vu.nl/~pboon/triggerplugin.zip
    Using TriggerPlugin you can schedule updates, update on a message, and much more. TriggerPlugin is in development and is inteded for use by ADVANCED USERS ONLY.

    Quick FAQ:

    Why isn't plugin or language pack <x> listed? See the 'rules' above.

    Why does plugin or language pack <x> always think it needs to be updated? This occurs when the version on the file listing doesn't match the version in that plugin dll or language pack file (for plugins, compare the version in the list in options->plugins with the version on the FL...for language packs, see the line in the file beginning with '; FLID:')